package com.bonus.material.work.mapper;

import com.bonus.material.work.domain.SysWorkflowNode;
import com.bonus.material.work.domain.SysWorkflowType;

import java.util.List;

public interface SysWorkflowNodeMapper {

    List<SysWorkflowNode> selectSysWorkflowNodeList(SysWorkflowNode sysWorkflowNode);

    int addSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int deleteSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int updateSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    List<SysWorkflowNode> listByTaskId(SysWorkflowNode sysWorkflowNode);

    SysWorkflowNode selectSysWorkflowNodeById(Integer nodeId);

    List<SysWorkflowNode> getTaskIdByProId(SysWorkflowNode sysWorkflowNode);
}
